| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Attributes | List of all members
AdobeXMPCommon::ReportErrorAndContinueFunctor Class Reference

A Function object used by the client to report back and warnings to the library encountered during the serialization operation. More...

`#include <IError.h>`

## Public Member Functions
| ReportErrorAndContinueFunctor (ReportErrorAndContinueABISafeProc safeProc)
bool | operator() (IError_v1::eErrorDomain errorDomain, IError_v1::eErrorCode errorCode, IError_v1::eErrorSeverity errorSeverity, const char *message)

## Protected Attributes
ReportErrorAndContinueABISafeProc | mSafeProc

## Detailed Description

A Function object used by the client to report back and warnings to the library encountered during the serialization operation.

Based on the error condition library can return 0 or non zero to indicate that a particular warning can be ignored and operation can continue.

Definition at line 352 of file IError.h.

## Constructor & Destructor Documentation

## ◆ ReportErrorAndContinueFunctor()

AdobeXMPCommon::ReportErrorAndContinueFunctor::ReportErrorAndContinueFunctor | ( | ReportErrorAndContinueABISafeProc | safeProc | ) |
| inline

Definition at line 354 of file IError.h.

355 : mSafeProc( safeProc ) {}

## Member Function Documentation

## ◆ operator()()

bool AdobeXMPCommon::ReportErrorAndContinueFunctor::operator() | ( | IError_v1::eErrorDomain | errorDomain,
|  | IError_v1::eErrorCode | errorCode,
|  | IError_v1::eErrorSeverity | errorSeverity,
|  | const char * | message
| ) |  |
| inline

Parameters

  [in] | errorDomain | A value of #IError_v1::eErrorDomain indicating the domain of the error.
  [in] | errorCode | A value of #IError_v1::eErrorCode indicating the code of the error.
  [in] | errorSeverity | A value of #IError_v1::eErrorSeverity indicating the severity of the error.
  [in] | message | Pointer to a constant char buffer containing message.

Returns
  true value indicating that process can continue ignoring the warning, otherwise return false to indicate it should stop immediately.

Definition at line 364 of file IError.h.

364 {
365 pcIError_base error( NULL );
366 auto retValue = mSafeProc( static_cast< uint32 >( errorDomain ), static_cast< uint32 >( errorCode ), static_cast< uint32 >( errorSeverity ), message, error );
367 if ( error )
368 throw IError_v1::MakeShared( error );
369 return retValue != 0 ? true : false;
370 }

References mSafeProc, and AdobeXMPCommon::pcIError_base.

## Member Data Documentation

## ◆ mSafeProc

ReportErrorAndContinueABISafeProc AdobeXMPCommon::ReportErrorAndContinueFunctor::mSafeProc
| protected

Definition at line 373 of file IError.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- public/include/XMPCommon/Interfaces/IError.h

AdobeXMPCommon::ReportErrorAndContinueFunctor::mSafeProc
ReportErrorAndContinueABISafeProc mSafeProc
Definition: IError.h:373
AdobeXMPCommon::uint32
XMP_Uns32 uint32
Definition: XMPCommonDefines.h:174
AdobeXMPCommon::pcIError_base
const typedef IError_v1 * pcIError_base
Definition: XMPCommonFwdDeclarations.h:64